Subject: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Ankit Gadiya <[email-masked]>
Date: Wed, 15 May 2024 10:25:55 +0530

> This is going to need a commit log entry. See the "Commit messages" section
> in the CONTRIBUTING file.

I missed it earlier, will add it.

> I'm undecided on the keybinds. I think I would prefer something like:
> C-c t p
> or
> C-c C-t p
> so we can keep test-related things together.

Keeping it under C-c C-t makes sense to me. How about this:

C-c C-t t - go-ts-mode-test-function-at-point
C-c C-t p - go-ts-mode-test-package

> I haven't tried this out yet, but here are some comments (mostly nits)
> after a quick look:
>
> In NEWS, sentences should be separated by 2 spaces.
>
> +The 'go-ts-mode-test-function-at-point' command runs unit test at
>                                                      ^the
> +point.
>
> +This function respects `go-build-tags' buffer-local variable
>                        ^the
>
> +  "Compiles the tests matching REGEXP.
>     ^Compile
>
> +If the point is anywhere in the test function, that function will be
> +tested.
> ^ run (keeps it consistent with the next sentence)
>
> +  "Run all the unit tests under current package."
>                                 ^the

Thanks, I'll update this along with keybinding changes.

-- 
Ankit